# Ship whole lines of a paid order with a carrier and tracking

`POST /shop/orders/{id}/ship` · Rivier · shop

Ship whole lines of a paid order with a carrier and tracking.

- Scope: shop:write
- Mcp: rivier_shop_order_ship
- Graphql: Mutation.shipShopOrder
- Sdk: shop.order.ship
- Cli: shop order ship
- Events: shop.order.shipped

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "lineIds": {
      "type": "array",
      "items": {
        "type": "string",
        "format": "uuid"
      },
      "minItems": 1,
      "maxItems": 100
    },
    "carrier": {
      "type": "string",
      "maxLength": 80,
      "default": ""
    },
    "tracking": {
      "type": "string",
      "maxLength": 120,
      "default": ""
    }
  },
  "required": [
    "lineIds"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/shop/orders/{id}/ship' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "lineIds": [
    "string"
  ]
}'
```
